nodes / startall
1 operation.
POST /nodes/{node}/startall
ts
proxmox.nodes.$(node).startall.$post()Start all VMs and containers located on this node (by default only those with onboot=1).
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
force | boolean | Issue start command even if virtual guest have 'onboot' not set or set to off. — default "off" | |
max-workers | number | Defines the maximum number of tasks running concurrently. If not set, uses 'max_workers' from datacenter.cfg, and if that's not set, the available CPU threads, clamped to a maximum of 8, are used. — min 1, max 64 | |
node | string | yes | The cluster node name. — format pve-node |
vms | string | Only consider guests from this comma separated list of VMIDs. — format pve-vmid-list |